aboutsummaryrefslogtreecommitdiffstats
path: root/testing/phpmyadmin/APKBUILD
diff options
context:
space:
mode:
authorMatt Smith <mcs@darkregion.net>2011-04-08 01:38:06 -0500
committerMatt Smith <mcs@darkregion.net>2011-04-08 01:38:06 -0500
commit95ec358af98af61d962291dc04f86aafa51af18d (patch)
tree72bc16fcd2f0f1c787dadd9522873fbe9d02ed07 /testing/phpmyadmin/APKBUILD
parenta400d41be5e668ff3078afc055a2751f0c546e09 (diff)
downloadaports-95ec358af98af61d962291dc04f86aafa51af18d.tar.bz2
aports-95ec358af98af61d962291dc04f86aafa51af18d.tar.xz
testing/phpmyadmin: new aport
A Web-based PHP tool for administering MySQL http://www.phpmyadmin.net/
Diffstat (limited to 'testing/phpmyadmin/APKBUILD')
-rw-r--r--testing/phpmyadmin/APKBUILD96
1 files changed, 96 insertions, 0 deletions
diff --git a/testing/phpmyadmin/APKBUILD b/testing/phpmyadmin/APKBUILD
new file mode 100644
index 0000000000..8a1529c253
--- /dev/null
+++ b/testing/phpmyadmin/APKBUILD
@@ -0,0 +1,96 @@
+# Contributor: Matt Smith <mcs@darkregion.net>
+# Maintainer: Matt Smith <mcs@darkregion.net>
+pkgname=phpmyadmin
+pkgver=3.3.10
+pkgrel=0
+pkgdesc="A Web-based PHP tool for administering MySQL"
+url="http://www.phpmyadmin.net/"
+arch="noarch"
+license="GPL"
+depends="php php-mysql php-zip php-zlib php-bz2 php-ctype php-gd php-mcrypt mysql"
+depends_dev=
+makedepends="$depends_dev"
+install="$pkgname.post-install"
+subpackages="$pkgname-doc"
+_fullpkgname=phpMyAdmin-$pkgver-all-languages
+source="http://downloads.sourceforge.net/$pkgname/$_fullpkgname.tar.gz
+ $pkgname.apache2.conf
+ htaccess
+ "
+
+_builddir="$srcdir"/$_fullpkgname
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ return 0
+}
+
+package() {
+ cd "$_builddir"
+ mkdir -p "$pkgdir"/usr/share/webapps/$pkgname \
+ "$pkgdir"/etc/$pkgname \
+ || return 1
+
+ # copy phpmyadmin
+ cp -ra "$_builddir"/* "$pkgdir"/usr/share/webapps/$pkgname/ \
+ || return 1
+
+ # install an htaccess file
+ install -m644 "$srcdir"/htaccess "$pkgdir"/etc/$pkgname/ \
+ || return 1
+ ln -fs /etc/$pkgname/htaccess \
+ "$pkgdir"/usr/share/webapps/$pkgname/.htaccess \
+ || return 1
+
+ # install the sample config
+ install -m660 \
+ "$pkgdir"/usr/share/webapps/$pkgname/config.sample.inc.php \
+ "$pkgdir"/etc/$pkgname/config.inc.php \
+ || return 1
+ ln -fs /etc/$pkgname/config.inc.php \
+ "$pkgdir"/usr/share/webapps/$pkgname/config.inc.php \
+ || return 1
+
+ # install the apache2 config
+ install -Dm644 "$srcdir"/$pkgname.apache2.conf \
+ "$pkgdir"/etc/apache2/conf.d/$pkgname.conf || return 1
+
+ # copy some contribs over
+ mkdir -p "$pkgdir"/usr/share/$pkgname/contrib || return 1
+ _contribs="htaccess swekey.sample.conf"
+ for _contrib in $_contribs; do
+ mv "$pkgdir"/usr/share/webapps/$pkgname/contrib/$_contrib \
+ "$pkgdir"/usr/share/$pkgname/contrib/ \
+ || return 1
+ done
+ rm -rf "$pkgdir"/usr/share/webapps/$pkgname/contrib || return 1
+}
+
+doc() {
+ cd "$_builddir"
+ mkdir -p "$subpkgdir"/usr/share/doc/$pkgname || return 1
+
+ _docs="CREDITS ChangeLog Documentation.html Documentation.txt \
+ INSTALL LICENSE README README.VENDOR RELEASE-DATE-$pkgver \
+ TODO translators.html documentation-gsoc"
+ for _doc in $_docs; do
+ mv "$pkgdir"/usr/share/webapps/$pkgname/$_doc \
+ "$subpkgdir"/usr/share/doc/$pkgname/ \
+ || return 1
+ done
+
+ mv "$pkgdir"/usr/share/webapps/$pkgname/config.sample.inc.php \
+ "$subpkgdir"/usr/share/doc/$pkgname/ || return 1
+}
+
+md5sums="2e93375a92a86ef36e561b0087f6b8e3 phpMyAdmin-3.3.10-all-languages.tar.gz
+2d144825122042b4a2536ad789d66e8e phpmyadmin.apache2.conf
+a83a095fe9e86d1cdd1424f857e26c9b htaccess"